Create "WP" namespace on English Wikipedia
Closed, ResolvedPublic

Description

I'd like to request that a new namespace be added to the en wikipedia called
'WP'. This will alleviate the concerns of a number of users on the growing use
of shortcuts and the resulting cross-namespace redirects.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz6313.
werdna created this task.Via LegacyJun 15 2006, 1:44 AM
bzimport added a comment.Via ConduitJun 15 2006, 2:07 AM

ayg wrote:

(In reply to comment #0)

I'd like to request that a new namespace be added to the en wikipedia called
'WP'. This will alleviate the concerns of a number of users on the growing use
of shortcuts and the resulting cross-namespace redirects.

The idea behind restricting cross-namespace redirects is that someone who types
in "Assume good faith" (for instance) might conceivably want [[Good faith]], not
[[Wikipedia:Assume good faith]], and certainly someone who types in "Jimbo
Wales" is looking for [[Jimmy Wales]] and not [[User:Jimbo Wales]]. Since no
existing acronym outside of Wikipedia begins W-P-:, there's no harm in such
redirects.

So can anyone propose a reason for why cross-namespace redirects are worse than
identically-named non-cross-namespace redirects? As far as I can tell, it would
accomplish precisely nothing whatsoever, although I could certainly be wrong.
(They technically change the count of existing articles pages when they aren't
articles, but then, no redirect is an article, and most counts thus exclude them
anyway; any that don't could be configured to exclude cross-namespace redirects
without too much difficulty.) Do you want WT:, U:, UT:, etc. as well?

Now, if you want namespace *aliases*, where [[WP:...]] would be identical to
[[Wikipedia:...]], that would be potentially useful if you're too lazy to type
out the "ikiedia" part of the prefix, or perhaps for other purposes. But why
does anyone want this?

bzimport added a comment.Via ConduitJun 15 2006, 6:08 AM

robchur wrote:

I think the rationale is simple. Get the thousands of WP:BLAH shortcuts out of
the main namespace without breaking them.

bzimport added a comment.Via ConduitJun 15 2006, 10:01 PM

ayg wrote:

(In reply to comment #2)

I think the rationale is simple. Get the thousands of WP:BLAH shortcuts out of
the main namespace without breaking them.

Well, yes. But why can't they be in the main namespace?

bzimport added a comment.Via ConduitJun 15 2006, 10:04 PM

robchur wrote:

The whole point of namespaces is to separate content up. WP:BLAH shortcuts
aren't articles.

bzimport added a comment.Via ConduitJun 15 2006, 10:18 PM

ayg wrote:

Well, the point is to *usefully* separate articles. The prefix "User:", for
instance, reserves pages for attachment with specific usernames, "Template:"
allows transclusion without a prefix while preventing collisions with article
space, "Image:" and "Category:" and "MediaWiki:" have built-in functionality
associated with them, and all of the above plus project/Help/Portal/Talk allow
subpages and don't add to article counts (both of which are irrelevant to
redirects).

But then again, there's no downside either if a dev feels like doing it, so why not.

bzimport added a comment.Via ConduitJun 16 2006, 4:11 PM

Eugene.Zelenko wrote:

Is it possible to implement WP as alias to Wikipedia instead of separate namespace?

bzimport added a comment.Via ConduitJun 16 2006, 4:15 PM

robchur wrote:

(In reply to comment #6)

Is it possible to implement WP as alias to Wikipedia instead of separate

namespace?

Not with the current title handling code, as far as I am aware...

bzimport added a comment.Via ConduitJun 16 2006, 4:27 PM

leon wrote:

Well, I really can't see the problem with leaving the status quo -- who cares if
WP:BLAH stays there? If any solution, I'd suggest a *real* shortcut handling.
That means, something like Special:Shortcut/BLAH, and a Special:Createshortcut
with a nice form on it, so these aren't articles in the database but entries in,
for example, a table like 'shortcuts' with the fields 'shortcut_id',
'shortcut_name','shortcut_destination' or so.

bzimport added a comment.Via ConduitJun 16 2006, 4:35 PM

robchur wrote:

I'm liking where Leon's idea is going. Aliases.

bzimport added a comment.Via ConduitJun 16 2006, 4:38 PM

leon wrote:

Hm, aliases sound quite good -- they even could replace *any* redirects, no?

bzimport added a comment.Via ConduitJun 16 2006, 7:31 PM

drspui wrote:

WP: redirects have been speedy deleted (improperly IMO) as cross-namespace
redirects from the article space. This would put a stop to that.

bzimport added a comment.Via ConduitJun 16 2006, 8:39 PM

philharnish wrote:

IMHO all links and should be treated the same way and use the same code (ex:
what links here, "page touched", etc).

If:

  1. A typo is a "redirect" (eg: [[Tpyo]], #REDIRECT: [[Typo]])
  2. An acronym is an "alias"

Both will display the target page (probably without changing the URL). What is
the functional difference between the two?

Here is the problem I see with using a special page (or special anything):

  1. Billy, a savvy wikipedian, adds alias "TLA" so that all [[TLA]] links point

to [[three letter acronym]]

  1. Jane, a librarian and really into free information, wants to write about the

Tennessee Library Association. To her surprise http://en.wikipedia.org/wiki/TLA
takes her to [[Three letter acronym]], and there is no '?redirect=no' or real
TLA article to write a disambiguation page at.

IMHO http://en.wikipedia.org/wiki/TLA works fine the way it is.

If the problem is that #REDIRECT articles are mixed up with content articles,
fix that instead. (Either in the code or the interface.)

bzimport added a comment.Via ConduitJun 30 2006, 5:27 PM

omniplex wrote:

re #11: WP:-redirects speedy deleted? Which year or project?
[[WP:WP]] and [[WP:SHORT]] are in good shape at the moment.

bzimport added a comment.Via ConduitJun 30 2006, 10:53 PM

drspui wrote:

I don't remember the specifics, but it was from WP:foo to a project in someone's
user space.

bzimport added a comment.Via ConduitSep 9 2007, 11:11 AM

jeluf wrote:

There's no consensus apparently for this. Closing for now. Please provide a link to a vote result before re-opening this request.

> Closed.

AzaToth added a comment.Via ConduitSep 9 2007, 11:26 AM

Marking it as later instead of wontfix, per lack of consensus isn't a "wontfix" imo

aaron added a comment.Via ConduitSep 9 2007, 11:27 AM

(In reply to comment #16)

Marking it as later instead of wontfix, per lack of consensus isn't a "wontfix"
imo

Well, it's not really "waiting for later" either ;)

Danny_B added a comment.Via ConduitSep 9 2007, 12:34 PM

I don't know if enwiki has different settings, but cswiki has WP: as an alias for Project: namespace already couple months and it works nice. So all shortcut redirects (eg. WP:3RR) are in fact Project:3RR.

FunPika added a comment.Via ConduitNov 11 2007, 1:52 AM

There appears to be a related discussion currently happening on the English Wikipedia at the following URL: http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29#WP:_pseudo-namespace

MZMcBride added a comment.Via ConduitNov 17 2007, 9:00 PM

On-wiki consensus has been gained here: http://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28proposals%29&oldid=172137295#WP: pseudo-namespace

There also seems to be consensus to do WT: as well as WP:

One (or both) change(s) require a script to move the pages (read: redirects) from WP:whatever to Wikipedia:whatever to avoid pages being left in MediaWiki purgatory.

bzimport added a comment.Via ConduitNov 26 2007, 4:49 PM

ayg wrote:

JeLuF tried to fix this, but the namespace fixing didn't work. I can't reproduce the problem on my own computer to fix the script, so some dev/sysadmin like Tim or Brion needs to be persuaded to debug the problem on the actual servers.

brion added a comment.Via ConduitNov 26 2007, 8:29 PM

namespaceDupes.php likely failed with a fatal error when reaching [[WP:]], which is an illegal title with the namespace alias in place. That bug is now fixed as of r27865.

Note that the namespace alias would make that 'WP:' alias for the list of shortcuts unavailable, and would in general make it harder to get at the shortcuts -- which would still all have to made manually.

Personally I don't think it'll buy anything, and it conflicts with our general policy to avoid adding two- and three-letter namespace and interwiki aliases to avoid conflict with the space for language codes. Recommend WONTFIX.

bzimport added a comment.Via ConduitDec 12 2007, 9:09 PM

jeluf wrote:

With wgNamespaceAliases set to

'enwiki' => array(
'WP' => NS_PROJECT,
),

I've started

$ php maintenance/namespaceDupes.php enwiki
Looks good!

I have expected that namespaceDupes tells me that it has to move all WP:* articles to the project namespace.

bzimport added a comment.Via ConduitDec 12 2007, 10:14 PM

jeluf wrote:

Re: #23

User error. I edited the wrong InitialiseSettings.php. namespaceDupes.php seems to be working fine.

bzimport added a comment.Via ConduitDec 12 2007, 10:49 PM

jeluf wrote:

Done.

bzimport added a comment.Via ConduitDec 18 2007, 10:56 PM

snottygobble wrote:

Out of curiosity, what will happen if The Spice Girls reform and release an album entitled "WP:POINT"? Will it be possible to create such a title in the main namespace?

bzimport added a comment.Via ConduitDec 18 2007, 11:15 PM

zivontsis wrote:

(In reply to comment #26)

Out of curiosity, what will happen if The Spice Girls reform and release an
album entitled "WP:POINT"? Will it be possible to create such a title in the
main namespace?

you would have to name it WP_POINT and use {{Wrongtitle}}.

Add Comment